#
# spec file for package spark-core
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

## disable autogeneration of "requires"
%undefine __maven_requires
%undefine __maven_requires_opts


%global modname  spark

Name:           spark-core
Version:        2.9.3
Release:        4.66
License:        Apache-2.0
Summary:        A Sinatra inspired java web framework
URL:            http://www.sparkjava.com
Group:          Development/Libraries/Java
Source0:        %{modname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  maven-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%endif
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.eclipse.jetty.websocket:websocket-server)
BuildRequires:  mvn(org.eclipse.jetty.websocket:websocket-servlet)
BuildRequires:  mvn(org.eclipse.jetty:jetty-server)
BuildRequires:  mvn(org.eclipse.jetty:jetty-webapp)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:      noarch
Provides:       spark == %{version}
Obsoletes:      spark < %{version}
Requires:       java >= 1.8
Requires:       java-headless >= 1.8
Requires:       javapackages-filesystem
Requires:       mvn(org.slf4j:slf4j-api)
## prevent to install jetty dependency on SUMA where it is not needed
Recommends:     mvn(org.eclipse.jetty.websocket:websocket-server)
Recommends:     mvn(org.eclipse.jetty.websocket:websocket-servlet)
Recommends:     mvn(org.eclipse.jetty:jetty-server)
Recommends:     mvn(org.eclipse.jetty:jetty-webapp)

%description
A Sinatra inspired framework for creating web applications in Java with minimal effort

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{modname}-%{version}
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin

%build
%{mvn_build} -f -- -Dsource=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Aug 26 2022 Michael Calmer <mc@suse.com>
- turn jetty dependency into recommends to prevent unneeded
  package installation when jetty is not used
* Sat Jun  4 2022 Michael Calmer <mc@suse.com>
- Update to version 2.9.3
- migrate to xmvn build
- Removed:
  * spark-core-2.7.2-jdk9.patch
  * build.sh
* Tue Apr 10 2018 can.bulut.bayburt@suse.com
- Update to version 2.7.2
  - Fix a security problem in the serving of static files
  - Add support for specific keystore aliases
  - Bump Jetty to the latest version
- Rename package 'spark' to 'spark-core'
* Tue Nov  7 2017 jgonzalez@suse.com
- Fix build for JDK9
- Fix spec according to tetra changes
- Add:
  * spark-2.3-jdk9.patch
- Changed:
  * build.sh
* Wed Oct 28 2015 smoioli@suse.com
- update to version 2.3
  - WebSocket support
  - Thymeleaf template engine support
  - Jetbrick template engine support
  - Major improvements to implementation
  - Newer versions of all dependencies
- unit tests disabled, as they now require access to java.sun.com
- patch for fixing unit test removed, as they are disabled
* Fri Oct 16 2015 mc@suse.de
- increase sleep time for all tests
* Thu Oct 15 2015 jrenner@suse.com
- increase sleep time to make sure server is started
  * increase-sleep-time.patch
* Mon Oct 12 2015 smoioli@suse.com
- Initial version
